/*
* 日期对象格式化
* */
export function parseTime(time, cFormat) {
  if (arguments.length === 0) {
    return null
  }
  const format = cFormat || '{y}-{m}-{d} {h}:{i}:{s}'
  let date
  if (typeof time === 'object') {
    date = time
  } else {
    if (('' + time).length === 10) time = parseInt(time) * 1000
    date = new Date(time)
  }
  const formatObj = {
    y: date.getFullYear(),
    m: date.getMonth() + 1,
    d: date.getDate(),
    h: date.getHours(),
    i: date.getMinutes(),
    s: date.getSeconds(),
    a: date.getDay()
  }
  const time_str = format.replace(/{(y|m|d|h|i|s|a)+}/g, (result, key) => {
    let value = formatObj[key]
    if (key === 'a') return ['一', '二', '三', '四', '五', '六', '日'][value - 1]
    if (result.length > 0 && value < 10) {
      value = '0' + value
    }
    return value || 0
  })
  return time_str
}



/*
* 深拷贝对象
* */
export function copyObjByJson(obj1){
   var obj2={};
   var str=JSON.stringify(obj1)
  obj2=JSON.parse(str)
  return obj2; //然后在把复制好的对象给return出去
}

/*
* 获取随机字符串
* */
const randStr = () => Math.random().toString(36).substr(2);
/*
* 判断随机字符串长度是否符合，不符合则重新获取
* */
const supplyFunc = (str, len) => {
  if(str.length > len) return str.substr(0, len);
  if(str.length < len) return supplyFunc(str + randStr(), len);
  return str;
}
/*
* 获取指定长度15的随机字符串
* */
export function randomStr() {
  return supplyFunc(randStr(), 15)
};
